.c-key-figures {
  padding: var(--blocks-padding) 0;
  background-color: var(--key-figures-bg);
  overflow: hidden;
  position: relative;
}

.c-key-figures__deco {
  position: absolute;
  color: var(--faq-simple-deco);

  @media (min-width: 1024px) {
    width: 1581px;
    height: 2586px;
    top: -830px;
    left: 100px;
  }

  @media (max-width: 1023px) {
    width: 922px;
    height: 1728px;
    top: -350px;
    left: 50%;
    transform: translateX(-50%);
  }

  svg {
    width: 100%;
    height: 100%;
  }
}

.c-key-figures__inner {
  display: flex;
  flex-direction: column;
  position: relative;
  z-index: 1;
  gap: 4.8rem;
}

.c-key-figures__title_wrapper {
  display: flex;
  flex-direction: column;
  gap: 1.2rem;
}

.c-key-figures__title {
  color: var(--key-figures-title);
  text-align: center;
}

.c-key-figures__subtitle {
  color: var(--key-figures-subtitle);
  font-size: 1.4rem;
  font-weight: 500;
  line-height: 1.6;
  max-width: 78rem;
  text-align: center;
  margin: 0 auto;
}

.c-key-figures__grid {
  display: grid;
  gap: 2.4rem;

  @media (min-width: 1024px) {
    grid-template-columns: repeat(3, 1fr);
  }

  @media (min-width: 565px) and (max-width: 1023px) {
    grid-template-columns: repeat(2, 1fr);
  }
}

.c-key-figures__card {
  background-color: var(--key-figures-card-bg);
  border-radius: 15px;
  box-shadow: 0 18px 45px rgba(0, 0, 0, 0.18);
  transition: transform 0.25s ease, box-shadow 0.25s ease;
  text-align: left;
  padding: 2.4rem;
  display: flex;
  flex-direction: column;
  gap: 1.2rem;

  @media (hover: hover) {
    &:hover {
      transform: translateY(-7px);
      box-shadow: 0 24px 60px rgba(0, 0, 0, 0.22);
    }
  }
}

.c-key-figures__header {
  display: flex;
  align-items: center;
  gap: 1.2rem;
}

.c-key-figures__icon-wrapper {
  width: 5.4rem;
  height: 5.4rem;
  border-radius: 100%;
  background-color: var(--key-figures-card-icon-bg);
  display: grid;
  place-items: center;
  flex-shrink: 0;
}

.c-key-figures__icon {
  width: 2.8rem;
  height: 2.8rem;
  object-fit: contain;

  path {
    fill: var(--key-figures-icon);
  }
}

.c-key-figures__label {
  font-weight: 600;
  text-transform: uppercase;
}

.c-key-figures__key {
  font-weight: 600;
  font-size: 4.4rem;
  line-height: 5rem;
}